Subject: Re: x86_64 build report

From: Hilton Chain <[email-masked]>
Date: Mon, 11 Aug 2025 19:31:41 +0800

Efraim Flashner <[email-masked]> writes:

> I used guix time-machine to do a build run on Berlin and everything
> built except for xen-guest-agent (dev86), niri and (python-pytorch).
> With the update to dev86 from master applied on the rust-team branch
> xen-guest-agent built without problems, and niri built locally.  I'm
> sending it through again on berlin to see if I can figure out why it
> didn't work there.
>
> I haven't gotten a chance to try any builds yet on aarch64 or riscv64

For niri, I think setting RAYON_NUM_THREADS[1] would help.

[1]: https://github.com/YaLTeR/niri/wiki/Packaging-niri